package com.zjrs.zwnw.dbgl.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.dbgl.dto.*;
import com.zjrs.zwnw.dbgl.po.RsdbgldbxmgzqdPO;

import java.util.List;

/**
 * @Author chenzhibiao
 * @create 2022/6/29 17:18
 */
public interface DbrwglCommPLO {
    List<DictDTO> getOrgs(DictGetDTO dto);

    List<DictDTO> getUsers(DictGetDTO dto);

    String getFgldByXmId(String xmid);

    String getFgldByRwId(String rwid);

    PageResult getGzqdjzqkList(DbrwglCommQueryDTO dto);

    PageResult getShlsListByQdid(DbrwglCommQueryDTO dto);

    PageResult getPsjlLstByQdid(DbrwglCommQueryDTO dto);

    void delPsjlById(DbrwglCommDTO dto);

    void savePsjl(DbrwglPsjlUDTO dto);

    RsdbgldbxmgzqdPO getGzqdjzqk(DbrwglCommDTO dto);

    PageResult getDbtxList(DbrwglDbrwclGzjzshQueryDTO dto);

    void savePjxx(DbrwglCommPjxxSaveDTO dto);

    DbrwglCommPjxxDTO getPjxx(String rsdbgldbxmzrbmlsh);
}
